#ifndef __TASK_GPIO_H__
#define __TASK_GPIO_H__

#include "memory.h"
#include "xburst_types.h"

/* Special task versions of GPIO operations. */

#define GPIO_BASE_PHYSICAL	(GPIO_BASE - KSEG1_BASE)

void task_gpio_init(uint8_t task);
void task_gpio_as_input(uint8_t pin);
void task_gpio_as_output(uint8_t pin);

void task_gpio_enable_pull(uint8_t pin);
void task_gpio_disable_pull(uint8_t pin);

int task_gpio_get_pin(uint8_t pin);
void task_gpio_set_pin(uint8_t pin);
void task_gpio_clear_pin(uint8_t pin);

void task_gpio_mask_irq(uint8_t pin);
void task_gpio_unmask_irq(uint8_t pin);

#endif /* __TASK_GPIO_H__ */
